
Packaging - Bug #31598

update of DNS records fails with IPv6 address - invalid rdata format: bad dotted quad

01/08/2021 08:31 PM - Jonathon Turel

Status: Closed   

Priority: Normal   

Assignee: Jonathon Turel   

Category: RPMs   

Target version: 2.4.0   

Difficulty:  Fixed in Releases: 2.4.0

Triaged: No Found in Releases:  

Bugzilla link: 1892727 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/6176

  

Description

When running katello-change-hostname on an IPv6 system

27-Oct-2020 11:57:38.225 dns_rdata_fromtext: buffer-0x7f996d1a4e60:1: near 'FE80::5054:FF:FE6C:2A3B': bad dotted quad

invalid rdata format: bad dotted quad

syntax error

Associated revisions

Revision e5186d54 - 01/11/2021 02:30 PM - Jonathon Turel

Fixes #31598 - Don't recreate AAAA record as A

History

#1 - 01/08/2021 08:32 PM - Jonathon Turel

- Project changed from Katello to Packaging

- Subject changed from update of DNS records fails with IPv6 address - invalid rdata format: bad dotted quad

 to update of DNS records fails with IPv6 address - invalid rdata format: bad dotted quad

#2 - 01/08/2021 08:34 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-packaging/pull/6176 added

#3 - 01/08/2021 08:42 PM - Jonathon Turel

- Assignee deleted (Jonathon Turel)

- Target version set to 2.4.0

#4 - 01/08/2021 09:00 PM - The Foreman Bot

- Assignee set to Jonathon Turel

#5 - 01/11/2021 02:30 PM - The Foreman Bot

- Fixed in Releases 2.4.0 added

#6 - 01/11/2021 03:01 PM - Jonathon Turel

- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|e5186d5479b921e86bd0bb30b2ece390a6dceb75.

#7 - 03/18/2021 02:52 PM - Amit Upadhye

- Category set to RPMs
